Page MenuHomePhabricator

Add Replace Text reminder message at end of page move
Closed, ResolvedPublic

Description

For wikis that have the Replace Text extension installed, it would be great if, at the end of a regular page move, the results screen showed text that looked like:

"To also modify links to this page in other pages, go to Special:ReplaceText."

(Where "Special:ReplaceText" was a link that pointed to the page Special:ReplaceText.)

The following hook may be helpful for this:

https://www.mediawiki.org/wiki/Manual:Hooks/SpecialMovepageAfterMove

Details

Related Gerrit Patches:
mediawiki/extensions/ReplaceText : masterAdd Replace Text reminder message at end of page move

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 12:41 AM
Nikhil-nk removed Nikhil-nk as the assignee of this task.Feb 16 2018, 3:09 PM
Nikhil-nk added a subscriber: Nikhil-nk.

Change 411310 had a related patch set uploaded (by Nikhil-nk; owner: Nikhil-nk):
[mediawiki/extensions/ReplaceText@master] Add Replace Text reminder message at end of page move

https://gerrit.wikimedia.org/r/411310

@Yaron_Koren: Can you please review the above patch set submitted by me? And tell if it will do or something else is needed. It's working fine locally.

Change 411310 merged by jenkins-bot:
[mediawiki/extensions/ReplaceText@master] Add Replace Text reminder message at end of page move

https://gerrit.wikimedia.org/r/411310

Yaron_Koren closed this task as Resolved.Feb 21 2018, 12:37 AM

@Nikhil-nk - thank you!